## Description
Having to hold jump while also managing the camera via right analog is impractical at best, so this mod aims to implement the hold -> hover functionality that already exists in the console port of RoR2. I don't have access to that port, though, so I've made the mod as configurable as I think is necessary to more accurately emulate it if I've gotten some of the values wrong. A full list of changes is provided here:
- When airborne without any jumps remaining, Artificer will switch between falling and hovering when jump is pressed.
- When jump is pressed while falling, Artificer will NOT jump automatically if she has jumps remaining. Instead, she can release it immediately to jump again, or hold it in briefly to trigger hover.
- When jump is pressed while rising, optional config allows her to delay jumping until jump is released, or hover if held until she starts falling. This is disabled by default due to not being within the scope of emulating console, but may feel less clunky.
- If she was hovering when using a second jump, or if she taps jump twice in quick succession while not hovering, Artificer will now automatically hover after she begins falling.
- If grounded, she will now automatically hover if jump is held.

## Future fixes
- General scuff might arise from having to port the project file to a new machine, will probably be less of an issue for ENV_Toggle than future mods I'm working on
- Test ArtificerExtended compatibility further, since I'm not sure if the new passive gets added correctly to the game
- Keep an eye on multiplayer support, it doesn't have R2API's networking so I'm not sure if it works as intended
- No other changes are planned until I find something else annoying enough to add config for lol

## Contact
- If you have questions about this mod, I can be contacted on Discord under the name FM46 (via PM, I don't follow the modding server anymore outside of searching posts) or with the github link provided above.

## Changelog

### 1.1.0
- This is the only mod I plan to maintain support for on the FMRadio11 account, since I don't know how to switch accounts without making an entirely new entry
- Character main rewritten to utilize a helper behavior attached to individual Artificers instead of a single set of objects within the plugin. I'm not sure if this mod broke in multiplayer, but hopefully this helps if it did
- Now uploads its character main as a replacement passive instead of hooking at Run if ArtificerExtended is installed. This will ignore any changes that mod makes to the default passive's character main if that occurs in future updates, but should otherwise be compatible as of version 3.6.0
- Config added to jump on release while moving upward with Hopoo Feather
- Removed unused code from Github upload, shouldn't affect the plugin itself
- Rewrote description to be more concise

### 1.0.6
- When jumping from the ground, you can now hold jump to automatically hover
- Code added to ProcessJump() and FixedUpdate() to set a delay for using jump again after tap jumping; this will prevent the jump, BUT...
- If you input jump during this delay when Artificer does not have hover toggled on, Artificer will automatically hover when falling
- Config added for both options. I would highly recommend tweaking the grace period delay until you can reliably separate the inputs for double tap and double jump, especially if you're using a keyboard
- Added missing HookGenPatcher dependency

### 1.0.5
- Switched obsolete Resource.Load calls to LegacyResourceAPI.Load

### 1.0.4
- Nothing changed in the mod itself, just updating manifest file to remove R2API as a dependency

### 1.0.3
- Temporarily removed InLobbyConfig support
- Rewrote config to work properly
- Updated to DLC. Please let me know what breaks

### 1.0.2
- Added config to automatically hover after using Ion Surge. This will NOT work with mods like ArtificerExtended that replace Ion Surge; ask them for compatibility if you want it
- Removed unneeded code
- Have fun with this for the uh. 11 days it's going to remain functional??? This is one of two mods I plan to port to DLC, but that'll depend on the API and how much needs to be rewritten

### 1.0.1
- Fixed typo in InLobbyConfig entry
- Added GitHub repository in case anyone wants the code for their own use. I forgot to add it beforehand lol

### 1.0.0
- First release